%define name    lv2
%define version 1.18.2
%define release 25

%define _prefix /usr

%if %{defined fedora}
%global debug_package %{nil}
# Excludes from the rpmbuild shebang check to allow it to run under Python 2 and 3.
%global __brp_mangle_shebangs_exclude_from lv2specgen.py
%endif

Summary:       LV2 stable version
Name: lv2
Version: 1.18.2
Release: 25.rncbc.suse
License:       LGPLv2.1+ ; X11 MIT ; GPLv2+ ; BSD3c
Group:         Productivity/Multimedia/Sound/Midi
URL:           http://lv2plug.in
Source0:       %{name}-%{version}.tar.bz2

BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot

BuildRequires: pkgconfig gcc-c++
BuildRequires: python python3 python3-rdflib
BuildRequires: libsndfile-devel

%description
LV2 is a plugin standard for audio systems. It defines a minimal
yet extensible C API for plugin code and a format for plugin "bundles".

LV2 is a successor of LADSPA that aims to remain simple yet adds
extensibility which enables more advanced plugin functionality
(e.g. MIDI or graphical interfaces).


%package       devel
Summary:       LV2 stable version - development files
Group:         Development/Libraries/C and C++
Requires:      %{name} >= %{version}

%description   devel
LV2 stable version - development files.

LV2 is a plugin standard for audio systems. It defines a minimal
yet extensible C API for plugin code and a format for plugin "bundles".

LV2 is a successor of LADSPA that aims to remain simple yet adds
extensibility which enables more advanced plugin functionality
(e.g. MIDI or graphical interfaces).

This package contains libraries and header files for developing
applications that use the LV2 plugin standard specification.


%prep
%setup -q

%build
./waf --prefix=%{_prefix} --libdir=%{_libdir} --lv2dir=%{_libdir}/lv2 configure
./waf

%install
./waf --destdir="%{buildroot}" install

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "/" ] && %__rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%doc README.md
%{_bindir}/*
%{_datadir}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/lv2.h
%dir %{_includedir}/lv2
%{_includedir}/lv2/*
%dir %{_libdir}/lv2
%{_libdir}/lv2/*
%{_libdir}/pkgconfig/*

%changelog
* Fri Jan  8 2021 Rui Nuno Capela <rncbc@rncbc.org> - 1.18.2
- New 1.18.2 release.
* Sun Apr 26 2020 Rui Nuno Capela <rncbc@rncbc.org> - 1.18.0
- New 1.18.0 release.
* Mon Feb  4 2019 Rui Nuno Capela <rncbc@rncbc.org> - 1.16.0
- New 1.16.0 release.
* Tue Sep 20 2016 Rui Nuno Capela <rncbc@rncbc.org> - 1.14.0
- New 1.14.0 release.
* Wed Apr 29 2015 Rui Nuno Capela <rncbc@rncbc.org> - 1.12.0
- New 1.12.0 release.
* Fri Aug  8 2014 Rui Nuno Capela <rncbc@rncbc.org> - 1.10.0
- New 1.10.0 release.
* Sun Jan  5 2014 Rui Nuno Capela <rncbc@rncbc.org> - 1.8.0
- New 1.8.0 release.
* Mon Aug 19 2013 Rui Nuno Capela <rncbc@rncbc.org> - 1.6.0
- New 1.6.0 release.
* Mon Apr 15 2013 Rui Nuno Capela <rncbc@rncbc.org> - 1.4.0
- New 1.4.0 release.
* Mon Oct 15 2012 Rui Nuno Capela <rncbc@rncbc.org> - 1.2.0
- New 1.2.0 release.
* Fri May 11 2012 Rui Nuno Capela <rncbc@rncbc.org> - 1.0.0
- Initial spec build.
